be.fgov.ehealth.hubservices.core.v2

## Class RequestType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.RequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:42:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class RequestType
      extends Object
      implements Serializable

  Java class for RequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
               <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AuthorWithPatientAndPersonType"/>
               <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
               <element name="maxrows" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorWithPatientAndPersonType` | `getAuthor()` Gets the value of the author property.
    `org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
    `IDKMEHR` | `getId()` Gets the value of the id property.
    `BigDecimal` | `getMaxrows()` Gets the value of the maxrows property.
    `org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
    `void` | `setAuthor(AuthorWithPatientAndPersonType value)` Sets the value of the author property.
    `void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
    `void` | `setId(IDKMEHR value)` Sets the value of the id property.
    `void` | `setMaxrows(BigDecimal value)` Sets the value of the maxrows property.
    `void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestType

          public RequestType()

  - ### Method Detail

    - #### getId

          public IDKMEHR getId()

      Gets the value of the id property.
      Returns:
        possible object is `IDKMEHR`

    - #### setId

          public void setId(IDKMEHR value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `IDKMEHR`

    - #### getAuthor

          public AuthorWithPatientAndPersonType getAuthor()

      Gets the value of the author property.
      Returns:
        possible object is `AuthorWithPatientAndPersonType`

    - #### setAuthor

          public void setAuthor(AuthorWithPatientAndPersonType value)

      Sets the value of the author property.
      Parameters:
        `value` - allowed object is `AuthorWithPatientAndPersonType`

    - #### getDate

          public org.joda.time.DateTime getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(org.joda.time.DateTime value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTime

          public org.joda.time.DateTime getTime()

      Gets the value of the time property.
      Returns:
        possible object is `String`

    - #### setTime

          public void setTime(org.joda.time.DateTime value)

      Sets the value of the time property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxrows

          public BigDecimal getMaxrows()

      Gets the value of the maxrows property.
      Returns:
        possible object is `BigDecimal`

    - #### setMaxrows

          public void setMaxrows(BigDecimal value)

      Sets the value of the maxrows property.
      Parameters:
        `value` - allowed object is `BigDecimal`

Connector Packaging PERSNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.